Subject: Re: bug#20433: Keyboard not working on laptop with guixSD

From: [email-masked] (Ludovic Courtès)
Date: Thu, 14 Jan 2016 10:55:13 +0100

Jessica Tallon <[email-masked]> skribis:

> Ludovic Courtès writes:
>> Jessica Tallon <[email-masked]> skribis:
>>
>>> Sure, I have attached both the lsmod on trisquel where it does work and
>>> the lsmod in the guix 0.9 image where it doesn't. I did try and look
>>> what additional modules trisquel have to see if any stood out but none
>>> of them did.
>>
>> Does “dmesg” on Trisquel show anything about the Apple keyboard?  Is
>> there anything similar on GuixSD?
>
> Sure, I've attached both dmesgs to this email. I've had a look and I
> think both see them on boot (though the trackpad is also listed as
> "Apple Keyboard / Trackpad" so it doesn't make it clear).

Both appear to detect the keyboard correctly, no noticeable difference.

So you only tested the keyboard at the console, right?

I’m running out of ideas. :-/  It would be nice if we could get
in touch with someone more familiar with Apple hardware.

Thanks,
Ludo’.